We're updating the issue view to help you get more done. 

Remove Flash support

Description

Openfire’s code seems to support Flash clients. Flash is an ancient technology, that has no use anymore. Ignite’s Sparkweb and XIFF projects are long dead. In a quick test, I couldn’t even get the crossdomain.xml file to work.

Spark-specific code in Openfire:

  • adds a bit of complexity (and thus, maintenance)

  • raises security concerns

  • specifically allows the null character to be parsed in XML, which according to the XMPP specification is not allowed.

Support for Flash should be dropped.

Environment

None

Acceptance Test - Entry

None

Assignee

Guus der Kinderen

Reporter

Guus der Kinderen

Labels

None

Expected Effort

None

Ignite Forum URL

None

Fix versions

Priority

Minor
Configure